kind: pipeline
type: ssh
name: install dependencies

clone:
  disable: true

server:
  host: 192.168.1.54
  user: pi
  password:
    from_secret: password

steps:
- name: install
  commands:
  - cd /home/pi/warframe-center
  - git fetch --all
  - git reset --hard origin/monorepo
  - npm install

---

kind: pipeline
type: docker
name: build

clone:
  disable: true

steps:
- name: bulid frontend
  image: node:16
  environment:
    SSH_PRIVATE_KEY:
      from_secret: ssh_private_key
    MONGODB_URI:
      from_secret: MONGODB_URI
  commands:
  - git clone -b monorepo https://git.radner.ru/anatolykopyl/warframe-center.git
  - cd warframe-center
  - npm install
  - npm run build -w app
  - mkdir ~/.ssh
  - echo "$SSH_PRIVATE_KEY" > ~/.ssh/id_rsa
  - chmod 400 ~/.ssh/id_rsa
  - scp -o StrictHostKeyChecking=no -r ./app/.next pi@192.168.1.54:/home/pi/warframe-center/app
  - ssh -o StrictHostKeyChecking=no pi@192.168.1.54 "pm2 restart warframe-center-app"
  when:
    branch:
    - monorepo

depends_on:
- install dependencies
